Bug 1307265 - WLAN hardware disabled on Asus X75VD
WLAN hardware disabled on Asus X75VD
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 15:01 EST by Toni Willberg
Modified: 2016-05-26 15:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 15:29:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2016-02-13 15:01:00 EST
After installing Fedora 23, the wlan device was hardware disabled.

Fn+F2 is supposed to turn on/off the wlan device, nothing happens when pressed.

Laptop: Asus X75VD http://www.asus.com/Notebooks/X75VD/
Hardware: 03:00.0 Qualcomm Atheros AR9485 Wireless Network Adapter (rev 01)

Workaround/fix:
 add this: "options asus_nb_wmi wapf=4"
 to file: "/etc/modprobe.d/asus_nb_wmi.conf"
Comment 1 Josh Boyer 2016-02-13 16:55:46 EST
A patch was posted upstream for this yesterday http://thread.gmane.org/gmane.linux.kernel/2151020.  We'll wait an see what upstream says and the backport.
Comment 2 Mike McCune 2016-03-28 18:52:26 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Josh Boyer 2016-05-26 15:29:56 EDT
This was fixed in 4.6-rc1 with commit 4670768779876c0a9071c026ddabe1ab8e6c7805

Note You need to log in before you can comment on or make changes to this bug.